<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

    <parent>
        <groupId>com.iqser.red</groupId>
        <artifactId>platform-dependency</artifactId>
        <version>2.2.0</version>
        <relativePath/>
    </parent>

    <modelVersion>4.0.0</modelVersion>

    <groupId>com.iqser.red.service</groupId>
    <artifactId>persistence-service-v1</artifactId>
    <version>2.0-SNAPSHOT</version>

    <packaging>pom</packaging>

    <modules>
        <module>persistence-service-shared-api-v1</module>
        <module>persistence-service-internal-api-v1</module>
        <module>persistence-service-external-api-v1</module>
        <module>persistence-service-processor-v1</module>
        <module>persistence-service-server-v1</module>
        <module>persistence-service-external-api-impl-v1</module>
        <module>persistence-service-internal-api-impl-v1</module>
    </modules>

    <properties>
        <redaction-service.version>4.30.0</redaction-service.version>
        <search-service.version>2.71.0</search-service.version>
        <pdftron-redaction-service.version>4.18.0</pdftron-redaction-service.version>
        <redaction-report-service.version>4.13.0</redaction-report-service.version>
        <ocr-service.version>3.10.0</ocr-service.version>
    </properties>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>com.iqser.red</groupId>
                <artifactId>platform-commons-dependency</artifactId>
                <version>2.6.0</version>
                <scope>import</scope>
                <type>pom</type>
            </dependency>
            <dependency>
                <groupId>org.springdoc</groupId>
                <artifactId>springdoc-openapi-ui</artifactId>
                <version>1.6.13</version>
            </dependency>
            <dependency>
                <groupId>com.iqser.red.service</groupId>
                <artifactId>redaction-service-api-v1</artifactId>
                <version>${redaction-service.version}</version>
            </dependency>
            <dependency>
                <groupId>com.iqser.red.service</groupId>
                <artifactId>ocr-service-api-v1</artifactId>
                <version>${ocr-service.version}</version>
            </dependency>
            <dependency>
                <groupId>com.iqser.red.service</groupId>
                <artifactId>search-service-api-v1</artifactId>
                <version>${search-service.version}</version>
            </dependency>
            <dependency>
                <groupId>com.iqser.red.service</groupId>
                <artifactId>redaction-report-service-api-v1</artifactId>
                <version>${redaction-report-service.version}</version>
            </dependency>
            <dependency>
                <groupId>com.iqser.red.service</groupId>
                <artifactId>pdftron-redaction-service-api-v1</artifactId>
                <version>${pdftron-redaction-service.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <build>
        <pluginManagement>
            <plugins>
                <plugin>
                    <groupId>org.sonarsource.scanner.maven</groupId>
                    <artifactId>sonar-maven-plugin</artifactId>
                    <version>3.9.0.2155</version>
                </plugin>
                <plugin>
                    <groupId>org.owasp</groupId>
                    <artifactId>dependency-check-maven</artifactId>
                    <version>6.3.1</version>
                    <configuration>
                        <format>ALL</format>
                    </configuration>
                </plugin>
                <plugin>
                    <groupId>org.jacoco</groupId>
                    <artifactId>jacoco-maven-plugin</artifactId>
                    <executions>
                        <execution>
                            <id>prepare-agent</id>
                            <goals>
                                <goal>prepare-agent</goal>
                            </goals>
                        </execution>
                        <execution>
                            <id>report</id>
                            <goals>
                                <goal>report</goal>
                            </goals>
                        </execution>
                    </executions>
                </plugin>
            </plugins>
        </pluginManagement>
        <plugins>
            <plugin>
                <groupId>org.jacoco</groupId>
                <artifactId>jacoco-maven-plugin</artifactId>
                <version>0.8.8</version>
                <executions>
                    <execution>
                        <id>prepare-agent</id>
                        <goals>
                            <goal>prepare-agent</goal>
                        </goals>
                    </execution>
                    <execution>
                        <id>report</id>
                        <goals>
                            <goal>report-aggregate</goal>
                        </goals>
                        <phase>verify</phase>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>

</project>
